# SignRequestClient::SignRequestQuickCreate

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**from_email** | **String** | Email of user sending the SignRequest (must be a validated email) | [optional] 
**from_email_name** | **String** | Name to be used in the &#x60;From&#x60; email header, e.g. &#x60;{from_email_name} &lt;no-reply@signrequest.com&gt;&#x60; | [optional] 
**is_being_prepared** | **BOOLEAN** | Have the sender of a SignRequest prepare the document before sending the request out, see: [prepare using the web interface](#section/Preparing-a-document/Prepare-using-the-web-interface) | [optional] 
**prepare_url** | **String** |  | [optional] 
**redirect_url** | **String** | URL at which SignRequest will redirect to when a document is signed | [optional] 
**redirect_url_declined** | **String** | URL at which SignRequest will redirect to when a document is declined | [optional] 
**required_attachments** | [**Array&lt;RequiredAttachment&gt;**](RequiredAttachment.md) | Attachments that signers are required to upload | [optional] 
**disable_attachments** | **BOOLEAN** | Disable uploading/adding of attachments | [optional] 
**disable_text_signatures** | **BOOLEAN** | Disable usage of signatures generated by typing (text) | [optional] 
**disable_text** | **BOOLEAN** | Disable adding of text | [optional] 
**disable_date** | **BOOLEAN** | Disable adding of dates | [optional] 
**disable_emails** | **BOOLEAN** | Disable all SignRequest status emails as well as the email that contains the signed documents | [optional] 
**disable_upload_signatures** | **BOOLEAN** | Disable usage of uploaded signatures (images) | [optional] 
**disable_blockchain_proof** | **BOOLEAN** | Disables storing timestamp proof hashes in blockchain integrations. | [optional] 
**text_message_verification_locked** | **BOOLEAN** | When true a text message verification is needed before the signer can see the document | [optional] 
**subject** | **String** | Subject of SignRequest email | [optional] 
**message** | **String** | Message to include in SignRequest email, may contain the following html tags: &#x60;a&#x60;, &#x60;abbr&#x60;, &#x60;acronym&#x60;, &#x60;b&#x60;, &#x60;blockquote&#x60;, &#x60;code&#x60;, &#x60;em&#x60;, &#x60;i&#x60;, &#x60;ul&#x60;, &#x60;li&#x60;, &#x60;ol&#x60;, and &#x60;strong&#x60; | [optional] 
**who** | **String** | &#x60;m&#x60;: only me, &#x60;mo&#x60;: me and others, &#x60;o&#x60;: only others | [optional] [default to &#39;o&#39;]
**send_reminders** | **BOOLEAN** | Automatically remind signers to sign a document, see: [automatic reminders](#section/Working-with-a-SignRequest/Automatic-reminders) | [optional] 
**signers** | [**Array&lt;Signer&gt;**](Signer.md) |  | 
**uuid** | **String** |  | [optional] 
**url** | **String** |  | [optional] 
**document** | **String** |  | [optional] 
**integration** | **String** |  | [optional] 
**integration_data** | **Object** |  | [optional] 
**name** | **String** | Defaults to filename, including extension | [optional] 
**external_id** | **String** | ID used to reference document in external system | [optional] 
**frontend_id** | **String** | Shared secret used in conjunction with &lt;a href&#x3D;\&quot;#section/Frontend-API/SignRequest-js-client-(beta)\&quot;&gt;SignRequest-js client&lt;/a&gt; to grant user access to a document that&#39;s not a member of the document&#39;s team | [optional] 
**file** | **String** | Temporary URL to original file, expires in five minutes | [optional] 
**file_from_url** | **String** | Publicly accessible URL of document to be downloaded by SignRequest | [optional] 
**events_callback_url** | **String** | URL at which to receive [event callbacks](#section/Events/Events-callback) for this document | [optional] 
**file_from_content** | **String** | Base64 encoded document content | [optional] 
**file_from_content_name** | **String** | Filename, including extension. Required when using &#x60;file_from_content&#x60;. | [optional] 
**template** | **String** |  | [optional] 
**prefill_tags** | [**Array&lt;InlinePrefillTags&gt;**](InlinePrefillTags.md) | Prefill signer input data, see [prefill tags](#section/Preparing-a-document/Prefill-tags-templates) | [optional] 
**integrations** | [**Array&lt;InlineIntegrationData&gt;**](InlineIntegrationData.md) |  | [optional] 
**file_from_sf** | [**FileFromSf**](FileFromSf.md) |  | [optional] 
**auto_delete_days** | **Integer** | Number of days after which a finished document (signed/cancelled/declined) will be automatically deleted | [optional] 
**auto_expire_days** | **Integer** | Number of days after which a non finished document will be automatically expired | [optional] 


